> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Purchase Order: Yardi REST

POST https://api.propexo.com/v1/purchase-orders/yardi_rest/
Content-Type: application/json

Create Purchase Order: Yardi REST| Interface        | Method                                   |
| ---------------- | ---------------------------------------- |
| Vendor Invoicing | /ItfVendorInvoicing/ImportPurchaseOrders |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/yardi-rest/purchase-orders/create-purchase-order-yardi-rest

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_purchase-orders_yardi_rest__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `description` (string, required) — Description of the purchase order
- `number` (string, required) — The number of the purchase order
- `total_amount_in_cents` (double, required) — The amount of the purchase order, in cents
- `order_date` (V1PurchaseOrdersYardiRestPostInputOrderDate, required) — The order date for the purchase order
- `expense_type` (string, required) — The expense type of the purchase order. You'll have to request this data from your customer
- `display_type` (string, required) — The display type of the purchase order. You'll have to request this data from your customer
- `shipping_address_1` (string, required) — The first address line associated with the shipping address for the purchase order
- `shipping_address_2` (string, required) — The second address line associated with the shipping address for the purchase order
- `shipping_city` (string, required) — The city associated with the shipping address for the purchase order
- `shipping_state` (V1PurchaseOrdersYardiRestPostInputShippingState, required) — The state associated with the shipping address for the purchase order. This must be a state abbreviation
- `shipping_zip` (string, required) — The zip code associated with the shipping address for the purchase order
- `shipping_country` (string, required) — The country associated with the shipping address for the purchase order
- `billing_address_1` (string, required) — The first address line associated with the billing address for the purchase order
- `billing_address_2` (string, required) — The second address line associated with the billing address for the purchase order
- `billing_city` (string, required) — The city associated with the billing address for the purchase order
- `billing_state` (V1PurchaseOrdersYardiRestPostInputBillingState, required) — The state associated with the billing address for the purchase order. This must be a state abbreviation
- `billing_zip` (string, required) — The zip code associated with the billing address for the purchase order
- `billing_country` (string, required) — The country associated with the billing address for the purchase order
- `purchase_order_items` (list of V1PurchaseOrdersYardiRestPostInputPurchaseOrderItemsItems, required) — A list of the items associated with the purchase orders

## Response

### 200

Successful response

- `meta` (V1PurchaseOrdersYardiRestPostOutputMeta, required)
- `result` (V1PurchaseOrdersYardiRestPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1PurchaseOrdersYardiRestPostInputOrderDate

The order date for the purchase order

### V1PurchaseOrdersYardiRestPostInputShippingState

The state associated with the shipping address for the purchase order. This must be a state abbreviation

### V1PurchaseOrdersYardiRestPostInputBillingState

The state associated with the billing address for the purchase order. This must be a state abbreviation

### V1PurchaseOrdersYardiRestPostInputPurchaseOrderItemsItems

### V1PurchaseOrdersYardiRestPostOutputMeta

- `job_id` (string, required)

### V1PurchaseOrdersYardiRestPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `description` (string, required) — Description of the purchase order
- `number` (string, required) — The number of the purchase order
- `total_amount_in_cents` (double, required) — The amount of the purchase order, in cents
- `order_date` (V1PurchaseOrdersYardiRestPostOutputResultOrderDate, required, nullable)
- `expense_type` (string, required) — The expense type of the purchase order. You'll have to request this data from your customer
- `display_type` (string, required) — The display type of the purchase order. You'll have to request this data from your customer
- `shipping_address_1` (string, required) — The first address line associated with the shipping address for the purchase order
- `shipping_address_2` (string, required) — The second address line associated with the shipping address for the purchase order
- `shipping_city` (string, required) — The city associated with the shipping address for the purchase order
- `shipping_state` (V1PurchaseOrdersYardiRestPostOutputResultShippingState, required) — The state associated with the shipping address for the purchase order. This must be a state abbreviation
- `shipping_zip` (string, required) — The zip code associated with the shipping address for the purchase order
- `shipping_country` (string, required) — The country associated with the shipping address for the purchase order
- `billing_address_1` (string, required) — The first address line associated with the billing address for the purchase order
- `billing_address_2` (string, required) — The second address line associated with the billing address for the purchase order
- `billing_city` (string, required) — The city associated with the billing address for the purchase order
- `billing_state` (V1PurchaseOrdersYardiRestPostOutputResultBillingState, required) — The state associated with the billing address for the purchase order. This must be a state abbreviation
- `billing_zip` (string, required) — The zip code associated with the billing address for the purchase order
- `billing_country` (string, required) — The country associated with the billing address for the purchase order
- `purchase_order_items` (list of V1PurchaseOrdersYardiRestPostOutputResultPurchaseOrderItemsItems, required)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1PurchaseOrdersYardiRestPostInputPurchaseOrderItemsItems0

A purchase order item that is associated with a construction job

- `property_id` (string, required) — The Propexo unique identifier for the property
- `description` (string, required) — Description of the purchase order item
- `construction_job_id` (string, required) — The Propexo unique identifier for the construction job
- `stock_code` (string, required) — The stock code for the purchase order item. You'll have to request this data from your customer
- `quantity_ordered` (string, required) — The quantity ordered for the purchase order item
- `unit_price_in_cents` (integer, required) — The unit price, in cents, of the purchase order item
- `total_cost_in_cents` (integer, required) — The total cost, in cents, of the purchase order item
- `cost_code` (string, required) — The cost code of the purchase order item. You'll have to request this data from your customer
- `category_code` (string, required) — The category code for the purchase order item. You'll have to request this data from your customer
- `financial_account_id` (string, optional) — The Propexo unique identifier for the financial account

### V1PurchaseOrdersYardiRestPostInputPurchaseOrderItemsItems1

A purchase order item that's not associated with a construction job

- `property_id` (string, required) — The Propexo unique identifier for the property
- `description` (string, required) — Description of the purchase order item
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `stock_code` (string, required) — The stock code for the purchase order item. You'll have to request this data from your customer
- `quantity_ordered` (string, required) — The quantity ordered for the purchase order item
- `unit_price_in_cents` (integer, required) — The unit price, in cents, of the purchase order item
- `total_cost_in_cents` (integer, required) — The total cost, in cents, of the purchase order item

### V1PurchaseOrdersYardiRestPostOutputResultOrderDate

### V1PurchaseOrdersYardiRestPostOutputResultShippingState

The state associated with the shipping address for the purchase order. This must be a state abbreviation

### V1PurchaseOrdersYardiRestPostOutputResultBillingState

The state associated with the billing address for the purchase order. This must be a state abbreviation

### V1PurchaseOrdersYardiRestPostOutputResultPurchaseOrderItemsItems

### V1PurchaseOrdersYardiRestPostOutputResultPurchaseOrderItemsItems0

A purchase order item that is associated with a construction job

- `property_id` (string, required) — The Propexo unique identifier for the property
- `description` (string, required) — Description of the purchase order item
- `construction_job_id` (string, required) — The Propexo unique identifier for the construction job
- `stock_code` (string, required) — The stock code for the purchase order item. You'll have to request this data from your customer
- `quantity_ordered` (string, required) — The quantity ordered for the purchase order item
- `unit_price_in_cents` (integer, required) — The unit price, in cents, of the purchase order item
- `total_cost_in_cents` (integer, required) — The total cost, in cents, of the purchase order item
- `cost_code` (string, required) — The cost code of the purchase order item. You'll have to request this data from your customer
- `category_code` (string, required) — The category code for the purchase order item. You'll have to request this data from your customer
- `financial_account_id` (string, optional) — The Propexo unique identifier for the financial account

### V1PurchaseOrdersYardiRestPostOutputResultPurchaseOrderItemsItems1

A purchase order item that's not associated with a construction job

- `property_id` (string, required) — The Propexo unique identifier for the property
- `description` (string, required) — Description of the purchase order item
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `stock_code` (string, required) — The stock code for the purchase order item. You'll have to request this data from your customer
- `quantity_ordered` (string, required) — The quantity ordered for the purchase order item
- `unit_price_in_cents` (integer, required) — The unit price, in cents, of the purchase order item
- `total_cost_in_cents` (integer, required) — The total cost, in cents, of the purchase order item

## Examples

**Request**

```json
{
  "integration_id": "intg-7890abcd1234",
  "vendor_id": "vend-4567efgh8901",
  "description": "Office supplies purchase for Q2",
  "number": "PO123456",
  "total_amount_in_cents": 125000,
  "order_date": "2024-01-15T09:30:00Z",
  "expense_type": "Office Supplies",
  "display_type": "Standard",
  "shipping_address_1": "123 Business Rd",
  "shipping_address_2": "Suite 400",
  "shipping_city": "San Francisco",
  "shipping_state": "CA",
  "shipping_zip": "94105",
  "shipping_country": "USA",
  "billing_address_1": "456 Corporate Blvd",
  "billing_address_2": "Floor 5",
  "billing_city": "San Francisco",
  "billing_state": "CA",
  "billing_zip": "94107",
  "billing_country": "USA",
  "purchase_order_items": [
    {
      "property_id": "prop-1234abcd5678",
      "description": "Ergonomic office chairs",
      "construction_job_id": "job-9876wxyz5432",
      "stock_code": "CHAIR-ERG-01",
      "quantity_ordered": "10",
      "unit_price_in_cents": 12000,
      "total_cost_in_cents": 120000,
      "cost_code": "CC1001",
      "category_code": "CAT-OFFICE"
    }
  ]
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-9876wxyz5432"
  },
  "result": {
    "integration_id": "intg-7890abcd1234",
    "vendor_id": "vend-4567efgh8901",
    "description": "Office supplies purchase for Q2",
    "number": "PO123456",
    "total_amount_in_cents": 125000,
    "order_date": "2024-01-15T09:30:00Z",
    "expense_type": "Office Supplies",
    "display_type": "Standard",
    "shipping_address_1": "123 Business Rd",
    "shipping_address_2": "Suite 400",
    "shipping_city": "San Francisco",
    "shipping_state": "CA",
    "shipping_zip": "94105",
    "shipping_country": "USA",
    "billing_address_1": "456 Corporate Blvd",
    "billing_address_2": "Floor 5",
    "billing_city": "San Francisco",
    "billing_state": "CA",
    "billing_zip": "94107",
    "billing_country": "USA",
    "purchase_order_items": [
      {
        "property_id": "prop-1234abcd5678",
        "description": "Ergonomic office chairs",
        "construction_job_id": "job-9876wxyz5432",
        "financial_account_id": "finacc-3344aabbccdd",
        "stock_code": "CHAIR-ERG-01",
        "quantity_ordered": "10",
        "unit_price_in_cents": 12000,
        "total_cost_in_cents": 120000,
        "cost_code": "CC1001",
        "category_code": "CAT-OFFICE"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/purchase-orders/yardi_rest/"

payload = {
    "integration_id": "intg-7890abcd1234",
    "vendor_id": "vend-4567efgh8901",
    "description": "Office supplies purchase for Q2",
    "number": "PO123456",
    "total_amount_in_cents": 125000,
    "order_date": "2024-01-15T09:30:00Z",
    "expense_type": "Office Supplies",
    "display_type": "Standard",
    "shipping_address_1": "123 Business Rd",
    "shipping_address_2": "Suite 400",
    "shipping_city": "San Francisco",
    "shipping_state": "CA",
    "shipping_zip": "94105",
    "shipping_country": "USA",
    "billing_address_1": "456 Corporate Blvd",
    "billing_address_2": "Floor 5",
    "billing_city": "San Francisco",
    "billing_state": "CA",
    "billing_zip": "94107",
    "billing_country": "USA",
    "purchase_order_items": [
        {
            "property_id": "prop-1234abcd5678",
            "description": "Ergonomic office chairs",
            "construction_job_id": "job-9876wxyz5432",
            "stock_code": "CHAIR-ERG-01",
            "quantity_ordered": "10",
            "unit_price_in_cents": 12000,
            "total_cost_in_cents": 120000,
            "cost_code": "CC1001",
            "category_code": "CAT-OFFICE"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/purchase-orders/yardi_rest/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-7890abcd1234","vendor_id":"vend-4567efgh8901","description":"Office supplies purchase for Q2","number":"PO123456","total_amount_in_cents":125000,"order_date":"2024-01-15T09:30:00Z","expense_type":"Office Supplies","display_type":"Standard","shipping_address_1":"123 Business Rd","shipping_address_2":"Suite 400","shipping_city":"San Francisco","shipping_state":"CA","shipping_zip":"94105","shipping_country":"USA","billing_address_1":"456 Corporate Blvd","billing_address_2":"Floor 5","billing_city":"San Francisco","billing_state":"CA","billing_zip":"94107","billing_country":"USA","purchase_order_items":[{"property_id":"prop-1234abcd5678","description":"Ergonomic office chairs","construction_job_id":"job-9876wxyz5432","stock_code":"CHAIR-ERG-01","quantity_ordered":"10","unit_price_in_cents":12000,"total_cost_in_cents":120000,"cost_code":"CC1001","category_code":"CAT-OFFICE"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/purchase-orders/yardi_rest/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-7890abcd1234\",\n  \"vendor_id\": \"vend-4567efgh8901\",\n  \"description\": \"Office supplies purchase for Q2\",\n  \"number\": \"PO123456\",\n  \"total_amount_in_cents\": 125000,\n  \"order_date\": \"2024-01-15T09:30:00Z\",\n  \"expense_type\": \"Office Supplies\",\n  \"display_type\": \"Standard\",\n  \"shipping_address_1\": \"123 Business Rd\",\n  \"shipping_address_2\": \"Suite 400\",\n  \"shipping_city\": \"San Francisco\",\n  \"shipping_state\": \"CA\",\n  \"shipping_zip\": \"94105\",\n  \"shipping_country\": \"USA\",\n  \"billing_address_1\": \"456 Corporate Blvd\",\n  \"billing_address_2\": \"Floor 5\",\n  \"billing_city\": \"San Francisco\",\n  \"billing_state\": \"CA\",\n  \"billing_zip\": \"94107\",\n  \"billing_country\": \"USA\",\n  \"purchase_order_items\": [\n    {\n      \"property_id\": \"prop-1234abcd5678\",\n      \"description\": \"Ergonomic office chairs\",\n      \"construction_job_id\": \"job-9876wxyz5432\",\n      \"stock_code\": \"CHAIR-ERG-01\",\n      \"quantity_ordered\": \"10\",\n      \"unit_price_in_cents\": 12000,\n      \"total_cost_in_cents\": 120000,\n      \"cost_code\": \"CC1001\",\n      \"category_code\": \"CAT-OFFICE\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/purchase-orders/yardi_rest/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-7890abcd1234\",\n  \"vendor_id\": \"vend-4567efgh8901\",\n  \"description\": \"Office supplies purchase for Q2\",\n  \"number\": \"PO123456\",\n  \"total_amount_in_cents\": 125000,\n  \"order_date\": \"2024-01-15T09:30:00Z\",\n  \"expense_type\": \"Office Supplies\",\n  \"display_type\": \"Standard\",\n  \"shipping_address_1\": \"123 Business Rd\",\n  \"shipping_address_2\": \"Suite 400\",\n  \"shipping_city\": \"San Francisco\",\n  \"shipping_state\": \"CA\",\n  \"shipping_zip\": \"94105\",\n  \"shipping_country\": \"USA\",\n  \"billing_address_1\": \"456 Corporate Blvd\",\n  \"billing_address_2\": \"Floor 5\",\n  \"billing_city\": \"San Francisco\",\n  \"billing_state\": \"CA\",\n  \"billing_zip\": \"94107\",\n  \"billing_country\": \"USA\",\n  \"purchase_order_items\": [\n    {\n      \"property_id\": \"prop-1234abcd5678\",\n      \"description\": \"Ergonomic office chairs\",\n      \"construction_job_id\": \"job-9876wxyz5432\",\n      \"stock_code\": \"CHAIR-ERG-01\",\n      \"quantity_ordered\": \"10\",\n      \"unit_price_in_cents\": 12000,\n      \"total_cost_in_cents\": 120000,\n      \"cost_code\": \"CC1001\",\n      \"category_code\": \"CAT-OFFICE\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/purchase-orders/yardi_rest/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-7890abcd1234\",\n  \"vendor_id\": \"vend-4567efgh8901\",\n  \"description\": \"Office supplies purchase for Q2\",\n  \"number\": \"PO123456\",\n  \"total_amount_in_cents\": 125000,\n  \"order_date\": \"2024-01-15T09:30:00Z\",\n  \"expense_type\": \"Office Supplies\",\n  \"display_type\": \"Standard\",\n  \"shipping_address_1\": \"123 Business Rd\",\n  \"shipping_address_2\": \"Suite 400\",\n  \"shipping_city\": \"San Francisco\",\n  \"shipping_state\": \"CA\",\n  \"shipping_zip\": \"94105\",\n  \"shipping_country\": \"USA\",\n  \"billing_address_1\": \"456 Corporate Blvd\",\n  \"billing_address_2\": \"Floor 5\",\n  \"billing_city\": \"San Francisco\",\n  \"billing_state\": \"CA\",\n  \"billing_zip\": \"94107\",\n  \"billing_country\": \"USA\",\n  \"purchase_order_items\": [\n    {\n      \"property_id\": \"prop-1234abcd5678\",\n      \"description\": \"Ergonomic office chairs\",\n      \"construction_job_id\": \"job-9876wxyz5432\",\n      \"stock_code\": \"CHAIR-ERG-01\",\n      \"quantity_ordered\": \"10\",\n      \"unit_price_in_cents\": 12000,\n      \"total_cost_in_cents\": 120000,\n      \"cost_code\": \"CC1001\",\n      \"category_code\": \"CAT-OFFICE\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/purchase-orders/yardi_rest/', [
  'body' => '{
  "integration_id": "intg-7890abcd1234",
  "vendor_id": "vend-4567efgh8901",
  "description": "Office supplies purchase for Q2",
  "number": "PO123456",
  "total_amount_in_cents": 125000,
  "order_date": "2024-01-15T09:30:00Z",
  "expense_type": "Office Supplies",
  "display_type": "Standard",
  "shipping_address_1": "123 Business Rd",
  "shipping_address_2": "Suite 400",
  "shipping_city": "San Francisco",
  "shipping_state": "CA",
  "shipping_zip": "94105",
  "shipping_country": "USA",
  "billing_address_1": "456 Corporate Blvd",
  "billing_address_2": "Floor 5",
  "billing_city": "San Francisco",
  "billing_state": "CA",
  "billing_zip": "94107",
  "billing_country": "USA",
  "purchase_order_items": [
    {
      "property_id": "prop-1234abcd5678",
      "description": "Ergonomic office chairs",
      "construction_job_id": "job-9876wxyz5432",
      "stock_code": "CHAIR-ERG-01",
      "quantity_ordered": "10",
      "unit_price_in_cents": 12000,
      "total_cost_in_cents": 120000,
      "cost_code": "CC1001",
      "category_code": "CAT-OFFICE"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/purchase-orders/yardi_rest/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-7890abcd1234\",\n  \"vendor_id\": \"vend-4567efgh8901\",\n  \"description\": \"Office supplies purchase for Q2\",\n  \"number\": \"PO123456\",\n  \"total_amount_in_cents\": 125000,\n  \"order_date\": \"2024-01-15T09:30:00Z\",\n  \"expense_type\": \"Office Supplies\",\n  \"display_type\": \"Standard\",\n  \"shipping_address_1\": \"123 Business Rd\",\n  \"shipping_address_2\": \"Suite 400\",\n  \"shipping_city\": \"San Francisco\",\n  \"shipping_state\": \"CA\",\n  \"shipping_zip\": \"94105\",\n  \"shipping_country\": \"USA\",\n  \"billing_address_1\": \"456 Corporate Blvd\",\n  \"billing_address_2\": \"Floor 5\",\n  \"billing_city\": \"San Francisco\",\n  \"billing_state\": \"CA\",\n  \"billing_zip\": \"94107\",\n  \"billing_country\": \"USA\",\n  \"purchase_order_items\": [\n    {\n      \"property_id\": \"prop-1234abcd5678\",\n      \"description\": \"Ergonomic office chairs\",\n      \"construction_job_id\": \"job-9876wxyz5432\",\n      \"stock_code\": \"CHAIR-ERG-01\",\n      \"quantity_ordered\": \"10\",\n      \"unit_price_in_cents\": 12000,\n      \"total_cost_in_cents\": 120000,\n      \"cost_code\": \"CC1001\",\n      \"category_code\": \"CAT-OFFICE\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-7890abcd1234",
  "vendor_id": "vend-4567efgh8901",
  "description": "Office supplies purchase for Q2",
  "number": "PO123456",
  "total_amount_in_cents": 125000,
  "order_date": "2024-01-15T09:30:00Z",
  "expense_type": "Office Supplies",
  "display_type": "Standard",
  "shipping_address_1": "123 Business Rd",
  "shipping_address_2": "Suite 400",
  "shipping_city": "San Francisco",
  "shipping_state": "CA",
  "shipping_zip": "94105",
  "shipping_country": "USA",
  "billing_address_1": "456 Corporate Blvd",
  "billing_address_2": "Floor 5",
  "billing_city": "San Francisco",
  "billing_state": "CA",
  "billing_zip": "94107",
  "billing_country": "USA",
  "purchase_order_items": [
    [
      "property_id": "prop-1234abcd5678",
      "description": "Ergonomic office chairs",
      "construction_job_id": "job-9876wxyz5432",
      "stock_code": "CHAIR-ERG-01",
      "quantity_ordered": "10",
      "unit_price_in_cents": 12000,
      "total_cost_in_cents": 120000,
      "cost_code": "CC1001",
      "category_code": "CAT-OFFICE"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/purchase-orders/yardi_rest/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```